VSAPMINFO(1)

NAME
vsapminfo - determines information about an Apple Partition Map (APM) volume system

SYNOPSIS
vsapminfo [-b bytes_per_sector] [-hvV] source

DESCRIPTION
vsapminfo is a utility to determine information about an Apple Partition Map (APM) volume system

vsapminfo is part of the libvsapm package. libvsapm is a library to access the Apple Partition Map (APM) volume system format

source is the source image.

The options are as follows:

-b bytes_per_sector
    specify the number of bytes per sector (default is 512). Use this to override the automatic bytes per sector detection

-h  shows this help

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # vsapminfo /dev/sda
    vsapminfo 20260626

    Apple Partition Map (APM) information:
    	Bytes per sector	: 512
    	Number of partitions	: 2

    Partition: 1
    	Type			: Apple_HFS
    	Name			: Foo
    	Offset			: 33792 (0x00008400)
    	Size			: 228352
    	Status flags		: 0x0000007f
    		Is valid
    		Is allocated
    		Is in use
    		Contains boot information
    		Is readable
    		Is writeable
    		Boot code is position independent

    Partition: 2
    	Type			: Apple_Free
    	Name			: Extra
    	Offset			: 32768 (0x00008000)
    	Size			: 1024
    	Status flags		: 0x00000000

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

AUTHORS
Joachim Metz <joachim.metz@gmail.com>

BUGS
Please report bugs of any kind on the project issue tracker: https://github.com/libyal/libvsapm/issues

COPYRIGHT
Copyright (C) 2009-2026, Joachim Metz <joachim.metz@gmail.com>.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.